Subject: Re: [PATCH 3/4] ethtool: can't set combined and tx/rx channel counts at the same time

From: "Keller, Jacob E" <[email-masked]>
Date: Mon, 8 Feb 2016 22:15:09 +0000

On Mon, 2016-02-08 at 20:52 +0000, Jakub Kicinski wrote:
> On Mon,  8 Feb 2016 12:06:04 -0800, Jacob Keller wrote:
> > +	/* can't set combined and separate channels at the same
> > time */
> > +	if ((channels.combined_count &&
> > +	     (channels.rx_count || channels.tx_count))
> > +	    return -EINVAL;
> > +
> >  	/* ensure the new Rx count fits within the configured Rx
> > flow
> >  	 * indirection table settings */
> >  	if (netif_is_rxfh_configured(dev) &&
> 
> My understanding is that unsymmetrical rx/tx queue configuration with
> combined IRQ vectors should be expressed as:
> 
> combined = min(tx, rx);
> num_tx = tx - combined;
> num_rx = rx - combined;
> 
> Please see:
> 
> https://www.mail-archive.com/[email-masked]/msg93977.html
> 
> Patches which I cooked up for this are rotting in my queue blocked by
> other things, unfortunately.

It looks like there was no follow up from your previous comment?

I think this looks right, in which case my patch should be dropped. I
do not think that .max_rx and .max_tx include the total for both Tx and
Rx maximums, though, so I am not sure best how to express the
possibility.

For now, I'll just drop this patch from the series.

Regards,
Jake